Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class AbstractPoll

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.ajax4jsf.component.AbstractPoll

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    public abstract class AbstractPoll

extends AbstractActionComponent

Component for periodically call AJAX events on server ( poll actions )

Author:
  shura

Field Summary
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPoll()`

Method Summary
`abstract int` | `getInterval()`
`abstract boolean` | `isEnabled()`
`boolean` | `isSubmitted()`
`abstract void` | `setEnabled(boolean enable)`
`abstract void` | `setInterval(int interval)`
`void` | `setSubmitted(boolean submitted)`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AbstractPoll

    public AbstractPoll()

Method Detail

### isSubmitted

    public boolean isSubmitted()

  Returns:
    the submitted

### setSubmitted

    public void setSubmitted(boolean submitted)

  Parameters:
    `submitted` - the submitted to set

### getInterval

    public abstract int getInterval()

  Returns:
    time in mc for polling interval.

### setInterval

    public abstract void setInterval(int interval)

  Parameters:
    `interval` - time in mc for polling interval.

### isEnabled

    public abstract boolean isEnabled()

### setEnabled

    public abstract void setEnabled(boolean enable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.